# Getting a list of proxies

Endpoint: POST /proxyInfo/page
Version: 1.0.0
Security: Authorization

## Request fields (application/json):

  - `pageNo` (integer)
    Current page number (starts from 1)
    Example: 1

  - `pageSize` (integer)
    Number of items per page
    Example: 10

  - `isCloudPhoneProxy` (boolean)
    Whether the proxy is for cloud phone usage.
- true: Exclude local/private IPs (e.g., 127.0.0.1, 360, pia, private ranges)
- false: Return all proxies

  - `proxyCategoryType` (integer)
    Proxy category type:
- 1 = Cloud platform
- 2 = Self-owned IP
    Example: 2

  - `proxyIp` (string)
    Filter by proxy IP address (partial match)

  - `proxyName` (string)
    Filter by proxy name (partial match)

  - `proxyProviders` (array)
    List of proxy provider IDs. Supported values:
- 0 = None
- 4 = Oxylabs
- 5 = Proxys.io
- 6 = GeoSurf
- 7 = Luminati
- 8 = Lumauto
- 9 = Oxylabsauto
- 10 = Trojan
- 11 = Shadowsocks
- 12 = vmess
- 13 = ABCPROXY
- 14 = LunaProxy
- 15 = IPHTML
- 16 = PiaProxy
- 17 = 922S5
    Example: []

  - `proxyStatus` (integer)
    Proxy assignment status:
- 0 = Normal
- 1 = Unassigned
- 2 = Upgrading
- 3 = Expired
- 4 = Expiring soon  
> Note: Self-owned proxies always use status 1.
    Example: 1

  - `proxyCheckStatus` (integer)
    Proxy health check status:
- 0 = Pending
- 1 = Success
- 2 = Failed
- 3 = Unknown error
    Example: 1

  - `proxyTypes` (array)
    Proxy protocol types:
- 0 = HTTP
- 1 = HTTPS
- 2 = SOCKS5
- 3 = SSH
    Example: []

## Response 200 fields (application/json):

  - `code` (integer, required)
    Return result code 0:Normal Other codes are exceptions.

  - `msg` (string, required)
    Error message

  - `data` (object, required)

  - `data.current` (integer, required)

  - `data.dataList` (array, required)

  - `data.dataList.expiryTime` (integer)
    Expiration time

  - `data.dataList.id` (integer)
    Primary key

  - `data.dataList.proxyCategoryType` (integer)
    Proxy type 1:Platform proxy; 2:Self-owned proxy

  - `data.dataList.proxyCheckStatus` (integer)
    Detection status 0-pending detection 1-monitoring success 2-detection failure 3-unknown error

  - `data.dataList.proxyIp` (string)
    Proxy IP

  - `data.dataList.exportIp` (string)
    export IP

  - `data.dataList.countryCode` (string)
    countryCode

  - `data.dataList.proxyName` (string)
    Proxy Name

  - `data.dataList.proxyProvider` (integer)
    Proxy Provider:default value 0 - none 4-Oxylabs 5-Proxys.io 7-Luminati 8-Lumauto 9-Oxylabsauto 10-Trojan，11-Shadowsocks 13-ABCPROXY 14-LunaProxy 15-IPHTML 16-PiaProxy 17-922S5

  - `data.dataList.proxyType` (integer)
    Proxy Type:0-http 1-https 2-socks5 3-ssh

  - `data.dataList.username` (string)
    Proxy username

  - `data.dataList.password` (string)
    Proxy password

  - `data.dataList.refreshUrl` (string)
    Proxy refresh URL

  - `data.pages` (integer, required)

  - `data.total` (integer, required)

  - `requestId` (string, required)
    Operation Request ID


